- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP6DefaultInitialFontPacket Class Reference

`#include <WP6DefaultInitialFontPacket.h>`

Inheritance diagram for WP6DefaultInitialFontPacket:

## Public Member Functions
| WP6DefaultInitialFontPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned short | getInitialFontDescriptorPID () const
unsigned short | getPointSize () const
void | parse (WP6Listener *listener) const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual WP6SubDocument * | getSubDocument () const
unsigned | getDataSize () const

## Private Attributes
unsigned short | m_numPrefixIDs
unsigned short | m_initialFontDescriptorPID
unsigned short | m_pointSize

## Additional Inherited Members
Static Public Member Functions inherited from WP6PrefixDataPacket
static WP6PrefixDataPacket * | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6PrefixIndice *prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

WP6DefaultInitialFontPacket::WP6DefaultInitialFontPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |

## Member Function Documentation

void WP6DefaultInitialFontPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Implements WP6PrefixDataPacket.

unsigned short WP6DefaultInitialFontPacket::getInitialFontDescriptorPID | ( |  | ) | const
| inline

Referenced by parse().

unsigned short WP6DefaultInitialFontPacket::getPointSize | ( |  | ) | const
| inline

Referenced by parse().

void WP6DefaultInitialFontPacket::parse | ( | WP6Listener * | listener | ) | const
| virtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

unsigned short WP6DefaultInitialFontPacket::m_initialFontDescriptorPID
| private

Referenced by _readContents(), and getInitialFontDescriptorPID().

unsigned short WP6DefaultInitialFontPacket::m_numPrefixIDs
| private

Referenced by _readContents().

unsigned short WP6DefaultInitialFontPacket::m_pointSize
| private

Referenced by _readContents(), and getPointSize().

The documentation for this class was generated from the following files:

- WP6DefaultInitialFontPacket.h
- WP6DefaultInitialFontPacket.cpp